## tarantool 1.5.1.218.g1a69fd6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(tarantool C CXX)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
set(CMAKE_INCLUDE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_INCLUDE_PATH})


include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckCCompilerFlag)
include(CheckSymbolExists)
include(CheckCSourceRuns)
include(CheckCXXSourceRuns)
include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
include(TestBigEndian)
include(CheckFunctionExists)
include(FindOptionalPackage)

find_program(ECHO echo)
find_program(XSLTPROC xsltproc)
find_program(XMLLINT xmllint)
find_program(JING jing)
find_program(LYNX lynx)
find_program(CAT cat)
find_program(GIT git)
find_program(RAGEL ragel)
find_program(CONFETTI confetti)
find_program(LD ld)
find_program(POD2MAN pod2man)


#
# This instructs the rest of the build system what product
# and what modules to produce.
#
set (TARANTOOL_PRODUCT "box")
set (TARANTOOL_MODULES "box")
set (TARANTOOL_CLIENTS "tarancheck" "tarantar")
# Define PACKAGE macro in tarantool/config.h
set (PACKAGE "Tarantool")

#
# Set default build type to Debug. This is to ease a developer's
# life. Release binaries are built by BuildBot automatically anyway.
#
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif()

if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
  set(CMAKE_INSTALL_LIBDIR lib)
endif(NOT DEFINED CMAKE_INSTALL_LIBDIR)

set(PLUGIN_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/tarantool/plugins")

include(cmake/utils.cmake)

# the order is significant: we need to know os and compiler to configure libs
include(cmake/arch.cmake)
include(cmake/os.cmake)
include(cmake/compiler.cmake)
include(cmake/simd.cmake)
include(cmake/profile.cmake)

check_symbol_exists(MAP_ANON sys/mman.h HAVE_MAP_ANON)
check_symbol_exists(MAP_ANONYMOUS sys/mman.h HAVE_MAP_ANONYMOUS)
check_include_file(sys/time.h HAVE_SYS_TIME_H)
check_include_file(unwind.h HAVE_UNWIND_H)
check_include_file(cpuid.h HAVE_CPUID_H)
check_include_file(sys/prctl.h HAVE_PRCTL_H)

check_symbol_exists(O_DSYNC fcntl.h HAVE_O_DSYNC)
check_symbol_exists(fdatasync unistd.h HAVE_FDATASYNC)
check_function_exists(memmem HAVE_MEMMEM)
check_function_exists(memrchr HAVE_MEMRCHR)

#
# Some versions of GNU libc define non-portable __libc_stack_end
# which we use to determine the end (or beginning, actually) of
# stack. Find whether or not it's present.
check_library_exists("" __libc_stack_end "" HAVE_LIBC_STACK_END)

#
# Enable 'make tags' target.
#
add_custom_target(tags COMMAND ctags -R -f tags
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

#
# Define PACKAGE_VERSION -- a string constant with tarantool version.
#
set (CPACK_PACKAGE_VERSION_MAJOR "1")
set (CPACK_PACKAGE_VERSION_MINOR "5")
set (CPACK_PACKAGE_VERSION_PATCH "1")

set (PACKAGE_VERSION "")

# Get git version only if source directory has .git repository, this
# avoids git to search .git repository in parent
# directories.
#
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
	execute_process (COMMAND ${GIT} describe HEAD
		OUTPUT_VARIABLE PACKAGE_VERSION
		OUTPUT_STRIP_TRAILING_WHITESPACE
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    if (PACKAGE_VERSION STREQUAL "")
        message (FATAL_ERROR "Failed to retrive git version.")
    endif()
endif()

set (VERSION_FILE "${CMAKE_SOURCE_DIR}/VERSION")

# Update version file or use it when there is no git
# repository within sources (source tarballs).
#
if (PACKAGE_VERSION STREQUAL "")
    if (NOT EXISTS "${VERSION_FILE}")
        message (FATAL_ERROR "Version file ${VERSION_FILE} does not exists.")
    endif()
    message (WARNING "Using version from version file ${VERSION_FILE}")
	execute_process (COMMAND ${CAT} ${VERSION_FILE}
		OUTPUT_VARIABLE PACKAGE_VERSION
		OUTPUT_STRIP_TRAILING_WHITESPACE)
    if (PACKAGE_VERSION STREQUAL "")
        message (FATAL_ERROR "Unable to retrive version from git or ${VERSION_FILE} file.")
    endif()
else()
	file(WRITE ${VERSION_FILE} "${PACKAGE_VERSION}\n")
endif()

#
# Specify where to look for include files.
#
include_directories("${PROJECT_SOURCE_DIR}")
include_directories("${PROJECT_SOURCE_DIR}/include")
include_directories("${PROJECT_BINARY_DIR}/include")
include_directories("${PROJECT_SOURCE_DIR}/third_party")
#
# Specify prefixes
#
if (NOT DEFINED CMAKE_SYSCONF_DIR)
    set (CMAKE_SYSCONF_DIR "etc")
endif()
if (NOT DEFINED CMAKE_LOCALSTATE_DIR)
    set (CMAKE_LOCALSTATE_DIR "var")
endif()
if (NOT DEFINED CMAKE_MAN_DIR)
    set (CMAKE_MAN_DIR "man")
endif()

#
# Specify system-specific Lua prefixes
#
if (NOT DEFINED LUA_SYSPATH)
    set (LUA_SYSPATH "")
endif()
if (NOT DEFINED LUA_SYSCPATH)
    set (LUA_SYSCPATH "")
endif()

#
# Specify Tarantool modules Lua prefixes
#
if (NOT DEFINED LUA_LIBPATH)
    set (LUA_LIBPATH "")
endif()
if (NOT DEFINED LUA_LIBCPATH)
    set (LUA_LIBCPATH "")
endif()

#
# Now handle all configuration options.
#
option(ENABLE_DOC "Enable building of documentation" OFF)

option(ENABLE_CLIENT "Enable building of console client" OFF)
if (ENABLE_CLIENT)
    set (TARANTOOL_CLIENTS ${TARANTOOL_CLIENTS} "tarantool")
endif()

option(ENABLE_TRACE "Enable debug trace of tarantool_box execution to
a file specified in TARANTOOL_TRACE environment variable" ON)

option(ENABLE_BACKTRACE "Enable output of fiber backtrace information in 'show
fiber' administrative command. Only works on x86 architectures, if compiled
with gcc. If GNU binutils and binutils-dev libraries are installed, backtrace
is output with resolved function (symbol) names. Otherwise only frame
addresses are printed." ${CMAKE_COMPILER_IS_GNUCC})

set (HAVE_BFD False)
if (ENABLE_BACKTRACE)
    if (NOT ${CMAKE_COMPILER_IS_GNUCC} OR
        NOT (${CMAKE_SYSTEM_PROCESSOR} MATCHES "86|amd64"))
        # We only know this option to work with gcc
        # on x86 architecture.
        message (FATAL_ERROR "ENABLE_BACKTRACE option is set but the system is not x86 based (${CMAKE_SYSTEM_PROCESSOR}) or the compiler is not GNU GCC (${CMAKE_C_COMPILER}).")
    endif()
    # Use GNU bfd if present.
    check_library_exists (bfd bfd_init ""  HAVE_BFD_LIB)
    set(CMAKE_REQUIRED_DEFINITIONS -DPACKAGE=${PACKAGE} -DPACKAGE_VERSION=${PACKAGE_VERSION})
    check_include_file(bfd.h HAVE_BFD_H)
    set(CMAKE_REQUIRED_DEFINITIONS)
    if (HAVE_BFD_LIB AND HAVE_BFD_H)
        set (HAVE_BFD True)
    endif()
endif()

option(ENABLE_STATIC "Perform static linking whenever possible." OFF)
if (ENABLE_STATIC)
    add_compile_flags("C;CXX" "-static")
endif()

##
## Third-Party libraries
##

#
# Since we *optionally* build bundled libs, a direct build
# dependency between tarantool_box and libluajit/libobjc won't
# work: add an empty custom target for this dependency instead.
# If a bundled objc or luajit is built, it is added to the
# dependency list of build_bundled_libs target.
#

add_custom_target(build_bundled_libs)

#
# LibLUAJIT
#
include(luajit)


#
# LibEV
#

#
# Currently our code uses libev with #define EV_MULTIPLICITY 0.
# This option means that libev has a global variable with
# struct ev_loop data.
# Such design is not compatible with the dynamic version of libev
# provided by distros.
set(ENABLE_BUNDLED_LIBEV ON)
include(BuildLibEV)
libev_build()
add_dependencies(build_bundled_libs ev)

#
# LibEIO
#
option(ENABLE_BUNDLED_LIBEIO "Enable building of the bundled libeio" ON)

if (ENABLE_BUNDLED_LIBEIO)
    include(BuildLibEIO)
    libeio_build()
    add_dependencies(build_bundled_libs eio)
else()
    set(LIBEIO_FIND_REQUIRED ON)
    find_package(LibEIO)
endif()


#
# LibCORO
#

#
# Tarantool uses 'coro' (coroutines) library to implement
# cooperative multi-tasking. Since coro.h is included
# universally, define the underlying implementation switch
# in the top level CMakeLists.txt, to ensure a consistent
# header file layout across the entire project.
#
set(ENABLE_BUNDLED_LIBCORO ON)
include(BuildLibCORO)
libcoro_build()
add_dependencies(build_bundled_libs coro)

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "86" OR ${CMAKE_SYSTEM_PROCESSOR} MATCHES "amd64")
    add_definitions("-DCORO_ASM")
else()
    add_definitions("-DCORO_SJLJ")
endif()


#
# LibGOPT
#

include(BuildLibGOPT)
libgopt_build()
add_dependencies(build_bundled_libs gopt)

#
# LibCJSON
#

include(BuildLibCJSON)
libcjson_build()
add_dependencies(build_bundled_libs cjson)

#
# Third-Party misc
#

include(BuildMisc)
libmisc_build()
add_dependencies(build_bundled_libs misc)

option(ENABLE_RPM "Enable install of a RPM specific files" OFF)

# cpack config. called package.cmake to avoid
# conflicts with the global CPack.cmake (On MacOS X
# file names are case-insensitive)
#
include (cmake/package.cmake)
#
# RPM build environment
# CPACK is only used for .tar.gz package generation.
# To build an RPM we need a source package,
# so rpm.cmake depends on package.cmake.
#
include (cmake/rpm.cmake)

add_subdirectory(cfg)
add_subdirectory(connector)
add_subdirectory(src)
add_subdirectory(extra)
add_subdirectory(client)
add_subdirectory(test)
add_subdirectory(doc)

install (FILES README.md LICENSE doc/box-protocol.txt
         DESTINATION share/doc/tarantool)

#
# tarantool info summary (used in server version output)
#
set(TARANTOOL_OPTIONS "-DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}")
set(TARANTOOL_OPTIONS "${TARANTOOL_OPTIONS} -DENABLE_STATIC=${ENABLE_STATIC}")
set(TARANTOOL_OPTIONS "${TARANTOOL_OPTIONS} -DENABLE_TRACE=${ENABLE_TRACE} -DENABLE_BACKTRACE=${ENABLE_BACKTRACE}")
set(TARANTOOL_OPTIONS "${TARANTOOL_OPTIONS} -DENABLE_CLIENT=${ENABLE_CLIENT}")
set(TARANTOOL_BUILD "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}-${CMAKE_BUILD_TYPE}")
set(TARANTOOL_C_COMPILER ${CMAKE_C_COMPILER})
set(TARANTOOL_CXX_COMPILER ${CMAKE_CXX_COMPILER})

#
# Output compile-time defines into config.h. Do it at the end
# of the script to make sure all variables are set.
#
configure_file(
    "${PROJECT_SOURCE_DIR}/include/tarantool/config.h.cmake"
    "${PROJECT_BINARY_DIR}/include/tarantool/config.h"
    )
configure_file(
    "${PROJECT_SOURCE_DIR}/doc/tnt.ent.cmake"
    "${PROJECT_BINARY_DIR}/doc/tnt.ent"
    )

configure_file(
    "${PROJECT_SOURCE_DIR}/doc/www-data.in/download.cmake"
    "${PROJECT_BINARY_DIR}/doc/www-data.in/download"
    )
message (STATUS "")
message (STATUS "Tarantool configuration is complete:")
message (STATUS "")
message (STATUS "VERSION: ${PACKAGE_VERSION}")
message (STATUS "BUILD: ${TARANTOOL_BUILD}")
message (STATUS "C_COMPILER: ${TARANTOOL_C_COMPILER}")
message (STATUS "CXX_COMPILER: ${TARANTOOL_CXX_COMPILER}")
message (STATUS "C_FLAGS:${TARANTOOL_C_FLAGS}")
message (STATUS "CXX_FLAGS:${TARANTOOL_CXX_FLAGS}")
message (STATUS "PREFIX: ${CMAKE_INSTALL_PREFIX}")
message (STATUS "MODULES: ${TARANTOOL_MODULES}")
message (STATUS "ENABLE_STATIC: ${ENABLE_STATIC}")
message (STATUS "ENABLE_SSE2: ${ENABLE_SSE2}")
message (STATUS "ENABLE_AVX: ${ENABLE_AVX}")
message (STATUS "ENABLE_GCOV: ${ENABLE_GCOV}")
message (STATUS "ENABLE_GPROF: ${ENABLE_GPROF}")
message (STATUS "ENABLE_TRACE: ${ENABLE_TRACE}")
message (STATUS "ENABLE_BACKTRACE: ${ENABLE_BACKTRACE} (symbol resolve: ${HAVE_BFD})")
message (STATUS "ENABLE_CLIENT: ${ENABLE_CLIENT}")
message (STATUS "ENABLE_BUNDLED_LUAJIT: ${ENABLE_BUNDLED_LUAJIT}")
message (STATUS "ENABLE_BUNDLED_LIBEV: ${ENABLE_BUNDLED_LIBEV}")
message (STATUS "ENABLE_BUNDLED_LIBEIO: ${ENABLE_BUNDLED_LIBEIO}")
message (STATUS "ENABLE_BUNDLED_LIBCORO: ${ENABLE_BUNDLED_LIBCORO}")
message (STATUS "ENABLE_DOC: ${ENABLE_DOC}")
list_optional_packages()
if (TARGET_OS_DARWIN)
    message (STATUS "DARWIN_BUILD_TYPE: ${DARWIN_BUILD_TYPE}")
endif()
message (STATUS "")
message (STATUS "To view or modify configuration results, check out CMakeCache.txt.")
message (STATUS "")

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named build_bundled_libs

# Build rule for target.
build_bundled_libs: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 build_bundled_libs
.PHONY : build_bundled_libs

# fast build rule for target.
build_bundled_libs/fast:
	$(MAKE) -f CMakeFiles/build_bundled_libs.dir/build.make CMakeFiles/build_bundled_libs.dir/build
.PHONY : build_bundled_libs/fast

#=============================================================================
# Target rules for targets named cjson

# Build rule for target.
cjson: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cjson
.PHONY : cjson

# fast build rule for target.
cjson/fast:
	$(MAKE) -f CMakeFiles/cjson.dir/build.make CMakeFiles/cjson.dir/build
.PHONY : cjson/fast

#=============================================================================
# Target rules for targets named coro

# Build rule for target.
coro: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 coro
.PHONY : coro

# fast build rule for target.
coro/fast:
	$(MAKE) -f CMakeFiles/coro.dir/build.make CMakeFiles/coro.dir/build
.PHONY : coro/fast

#=============================================================================
# Target rules for targets named eio

# Build rule for target.
eio: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 eio
.PHONY : eio

# fast build rule for target.
eio/fast:
	$(MAKE) -f CMakeFiles/eio.dir/build.make CMakeFiles/eio.dir/build
.PHONY : eio/fast

#=============================================================================
# Target rules for targets named ev

# Build rule for target.
ev: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 ev
.PHONY : ev

# fast build rule for target.
ev/fast:
	$(MAKE) -f CMakeFiles/ev.dir/build.make CMakeFiles/ev.dir/build
.PHONY : ev/fast

#=============================================================================
# Target rules for targets named gopt

# Build rule for target.
gopt: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 gopt
.PHONY : gopt

# fast build rule for target.
gopt/fast:
	$(MAKE) -f CMakeFiles/gopt.dir/build.make CMakeFiles/gopt.dir/build
.PHONY : gopt/fast

#=============================================================================
# Target rules for targets named libluajit

# Build rule for target.
libluajit: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 libluajit
.PHONY : libluajit

# fast build rule for target.
libluajit/fast:
	$(MAKE) -f CMakeFiles/libluajit.dir/build.make CMakeFiles/libluajit.dir/build
.PHONY : libluajit/fast

#=============================================================================
# Target rules for targets named misc

# Build rule for target.
misc: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 misc
.PHONY : misc

# fast build rule for target.
misc/fast:
	$(MAKE) -f CMakeFiles/misc.dir/build.make CMakeFiles/misc.dir/build
.PHONY : misc/fast

#=============================================================================
# Target rules for targets named rpm

# Build rule for target.
rpm: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 rpm
.PHONY : rpm

# fast build rule for target.
rpm/fast:
	$(MAKE) -f CMakeFiles/rpm.dir/build.make CMakeFiles/rpm.dir/build
.PHONY : rpm/fast

#=============================================================================
# Target rules for targets named rpm_src

# Build rule for target.
rpm_src: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 rpm_src
.PHONY : rpm_src

# fast build rule for target.
rpm_src/fast:
	$(MAKE) -f CMakeFiles/rpm_src.dir/build.make CMakeFiles/rpm_src.dir/build
.PHONY : rpm_src/fast

#=============================================================================
# Target rules for targets named tags

# Build rule for target.
tags: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tags
.PHONY : tags

# fast build rule for target.
tags/fast:
	$(MAKE) -f CMakeFiles/tags.dir/build.make CMakeFiles/tags.dir/build
.PHONY : tags/fast

#=============================================================================
# Target rules for targets named cfg

# Build rule for target.
cfg: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 cfg
.PHONY : cfg

# fast build rule for target.
cfg/fast:
	$(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/build
.PHONY : cfg/fast

#=============================================================================
# Target rules for targets named config

# Build rule for target.
config: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 config
.PHONY : config

# fast build rule for target.
config/fast:
	$(MAKE) -f cfg/CMakeFiles/config.dir/build.make cfg/CMakeFiles/config.dir/build
.PHONY : config/fast

#=============================================================================
# Target rules for targets named tnt

# Build rule for target.
tnt: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tnt
.PHONY : tnt

# fast build rule for target.
tnt/fast:
	$(MAKE) -f connector/c/tnt/CMakeFiles/tnt.dir/build.make connector/c/tnt/CMakeFiles/tnt.dir/build
.PHONY : tnt/fast

#=============================================================================
# Target rules for targets named tnt_shared

# Build rule for target.
tnt_shared: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tnt_shared
.PHONY : tnt_shared

# fast build rule for target.
tnt_shared/fast:
	$(MAKE) -f connector/c/tnt/CMakeFiles/tnt_shared.dir/build.make connector/c/tnt/CMakeFiles/tnt_shared.dir/build
.PHONY : tnt_shared/fast

#=============================================================================
# Target rules for targets named tntsql

# Build rule for target.
tntsql: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tntsql
.PHONY : tntsql

# fast build rule for target.
tntsql/fast:
	$(MAKE) -f connector/c/tntsql/CMakeFiles/tntsql.dir/build.make connector/c/tntsql/CMakeFiles/tntsql.dir/build
.PHONY : tntsql/fast

#=============================================================================
# Target rules for targets named tntsql_shared

# Build rule for target.
tntsql_shared: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 tntsql_shared
.PHONY : tntsql_shared

# fast build rule for target.
tntsql_shared/fast:
	$(MAKE) -f connector/c/tntsql/CMakeFiles/tntsql_shared.dir/build.make connector/c/tntsql/CMakeFiles/tntsql_shared.dir/build
.PHONY : tntsql_shared/fast

#=============================================================================
# Target rules for targets named tntnet

# Build rule for target.
tntnet: cmake_check_build_system

=== cfg/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/cfg/CMakeFiles/progress.marks
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 cfg/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 cfg/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 cfg/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 cfg/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
cfg/CMakeFiles/cfg.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 cfg/CMakeFiles/cfg.dir/rule
.PHONY : cfg/CMakeFiles/cfg.dir/rule

# Convenience name for target.
cfg: cfg/CMakeFiles/cfg.dir/rule
.PHONY : cfg

# fast build rule for target.
cfg/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/build
.PHONY : cfg/fast

# Convenience name for target.
cfg/CMakeFiles/config.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 cfg/CMakeFiles/config.dir/rule
.PHONY : cfg/CMakeFiles/config.dir/rule

# Convenience name for target.
config: cfg/CMakeFiles/config.dir/rule
.PHONY : config

# fast build rule for target.
config/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/config.dir/build.make cfg/CMakeFiles/config.dir/build
.PHONY : config/fast

prscfg.o: prscfg.c.o
.PHONY : prscfg.o

# target to build an object file
prscfg.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/prscfg.c.o
.PHONY : prscfg.c.o

prscfg.i: prscfg.c.i
.PHONY : prscfg.i

# target to preprocess a source file
prscfg.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/prscfg.c.i
.PHONY : prscfg.c.i

prscfg.s: prscfg.c.s
.PHONY : prscfg.s

# target to generate assembly for a file
prscfg.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/prscfg.c.s
.PHONY : prscfg.c.s

warning.o: warning.c.o
.PHONY : warning.o

# target to build an object file
warning.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/warning.c.o
.PHONY : warning.c.o

warning.i: warning.c.i
.PHONY : warning.i

# target to preprocess a source file
warning.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/warning.c.i
.PHONY : warning.c.i

warning.s: warning.c.s
.PHONY : warning.s

# target to generate assembly for a file
warning.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f cfg/CMakeFiles/cfg.dir/build.make cfg/CMakeFiles/cfg.dir/warning.c.s
.PHONY : warning.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... cfg"
	@echo "... config"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... prscfg.o"
	@echo "... prscfg.i"
	@echo "... prscfg.s"
	@echo "... warning.o"
	@echo "... warning.i"
	@echo "... warning.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== client/CMakeLists.txt ===

enable_tnt_compile_flags()

# function to build tarantool clients that use connector/c
# 
function(tarantool_client client_name)
	set (client_sources ${ARGV})
	list(REMOVE_ITEM client_sources ${client_name})
	add_executable(${client_name} ${client_sources}
		       ${CMAKE_SOURCE_DIR}/src/errcode.c)
	set (client_libs tntrpl tntnet tntsql tnt)
	target_link_libraries (${client_name} ${client_libs})
endfunction()

include_directories("${PROJECT_SOURCE_DIR}/connector/c/include")

foreach (client ${TARANTOOL_CLIENTS})
	add_subdirectory(${client})
endforeach()

=== client/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/client/CMakeFiles/progress.marks
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== connector/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/connector/CMakeFiles/progress.marks
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 connector/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 connector/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 connector/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 connector/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== doc/CMakeLists.txt ===

add_subdirectory(man)

if (ENABLE_DOC)
    add_subdirectory(user)
    add_subdirectory(developer)
endif()

add_subdirectory(www-data.in EXCLUDE_FROM_ALL)

=== doc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/doc/CMakeFiles/progress.marks
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 doc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 doc/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 doc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== extra/CMakeLists.txt ===

#
# Scripts for a RPM package
#
if (ENABLE_RPM)
	# chmod +x 655
	install (FILES tarantool_box DESTINATION ${CMAKE_SYSCONF_DIR}/init.d
		 PERMISSIONS
		 OWNER_READ OWNER_WRITE
		 GROUP_READ GROUP_EXECUTE
		 WORLD_READ WORLD_EXECUTE)
	# chmod +x 755
	install (FILES tarantool_multi.sh DESTINATION bin
		 PERMISSIONS
		 OWNER_READ OWNER_WRITE OWNER_EXECUTE
		 GROUP_READ GROUP_EXECUTE
		 WORLD_READ WORLD_EXECUTE)
	# chmod +x 755
	install (FILES tarantool_deploy.sh DESTINATION bin
		 PERMISSIONS
		 OWNER_READ OWNER_WRITE OWNER_EXECUTE
		 GROUP_READ GROUP_EXECUTE
		 WORLD_READ WORLD_EXECUTE)
endif()

configure_file(rpm.spec.in rpm.spec @ONLY)

if (TARGET_OS_DARWIN)
	# NOTE: need add execution 'plutil -lint org.tarantool.tarantool_${TARANTOOL_PRODUCT}.plist
	# to check syntax of plist file.
	# Also cmake doesn't support changing package id from 'com.' to 'org.'
	# Need chage to 'org.' after update lines this file:
	# https://github.com/Kitware/CMake/blob/v2.8.11.2/Source/CPack/cmCPackPackageMakerGenerator.cxx#L763
	# 
	# ^^^ DO NOT CHANGE DARWIN_PACKAGE_ID BEFORE SEE URL ABOVE ^^^
	#
	set (DARWIN_PACKAGE_ID "com")
	set (LUANCHD_PLIST "${DARWIN_PACKAGE_ID}.${CPACK_PACKAGE_VENDOR}.tarantool_${TARANTOOL_PRODUCT}.plist")
	# Configure scripts for *.pkg and luanchd daemon by templates
	configure_file(dmg/postflight.in postflight @ONLY)
	configure_file(org.tarantool.in ${LUANCHD_PLIST} @ONLY)
	# chmod +x 644
	install (FILES ${CMAKE_BINARY_DIR}/extra/${LUANCHD_PLIST}
                 DESTINATION share/tarantool
		 PERMISSIONS
		 OWNER_READ OWNER_WRITE
		 GROUP_READ GROUP_READ
		 WORLD_READ WORLD_READ)
endif()

add_executable(txt2c txt2c.c)

=== extra/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/extra/CMakeFiles/progress.marks
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 extra/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 extra/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 extra/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 extra/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
extra/CMakeFiles/txt2c.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 extra/CMakeFiles/txt2c.dir/rule
.PHONY : extra/CMakeFiles/txt2c.dir/rule

# Convenience name for target.
txt2c: extra/CMakeFiles/txt2c.dir/rule
.PHONY : txt2c

# fast build rule for target.
txt2c/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f extra/CMakeFiles/txt2c.dir/build.make extra/CMakeFiles/txt2c.dir/build
.PHONY : txt2c/fast

txt2c.o: txt2c.c.o
.PHONY : txt2c.o

# target to build an object file
txt2c.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f extra/CMakeFiles/txt2c.dir/build.make extra/CMakeFiles/txt2c.dir/txt2c.c.o
.PHONY : txt2c.c.o

txt2c.i: txt2c.c.i
.PHONY : txt2c.i

# target to preprocess a source file
txt2c.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f extra/CMakeFiles/txt2c.dir/build.make extra/CMakeFiles/txt2c.dir/txt2c.c.i
.PHONY : txt2c.c.i

txt2c.s: txt2c.c.s
.PHONY : txt2c.s

# target to generate assembly for a file
txt2c.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f extra/CMakeFiles/txt2c.dir/build.make extra/CMakeFiles/txt2c.dir/txt2c.c.s
.PHONY : txt2c.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... txt2c"
	@echo "... txt2c.o"
	@echo "... txt2c.i"
	@echo "... txt2c.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/CMakeLists.txt ===
#
# Set compile flags for entire src/ directory
#
enable_tnt_compile_flags()

if (NOT TARGET_OS_DARWIN)
    add_subdirectory(plugin)
endif()

include_directories(${LIBEV_INCLUDE_DIR})
include_directories(${LIBEIO_INCLUDE_DIR})
include_directories(${LIBCORO_INCLUDE_DIR})
include_directories(${LIBGOPT_INCLUDE_DIR})

# Require pthread globally if compiling with GCC
if (CMAKE_COMPILER_IS_GNUCC)
    add_compile_flags("C;CXX" "-pthread")
endif()

#
# Build admin.cc from admin.rl, but only if admin.rl was changed.
# The same applies to memcached.cc/memcached.rl.
# We track admin.cc and memcached.cc in revision control, and thus do not
# require engineers who do not modify .rl files to have Ragel
# installed.
#
add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/src/admin.cc
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    COMMAND ${RAGEL} -G2 src/admin.rl -o src/admin.cc
    DEPENDS ${CMAKE_SOURCE_DIR}/src/admin.rl)

add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/src/memcached-grammar.cc
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    COMMAND ${RAGEL} -G2 src/memcached-grammar.rl
                     -o src/memcached-grammar.cc
    DEPENDS ${CMAKE_SOURCE_DIR}/src/memcached-grammar.rl)

add_custom_target(generate_admin_cc DEPENDS ${CMAKE_SOURCE_DIR}/src/admin.cc)
add_custom_target(generate_memcached_grammar_cc DEPENDS
    ${CMAKE_SOURCE_DIR}/src/memcached-grammar.cc)

# do not randomly try to re-generate admin.cc or memcached-grammar.cc
# after a fresh checkout/branch switch.
execute_process(COMMAND ${CMAKE_COMMAND} -E touch_nocreate
    ${CMAKE_SOURCE_DIR}/src/admin.cc
    ${CMAKE_SOURCE_DIR}/src/memcached-grammar.cc)

set_source_files_properties(${CMAKE_SOURCE_DIR}/src/memcached-grammar.cc
    PROPERTIES HEADER_FILE_ONLY true)

set_source_files_properties(memcached.cc
    PROPERTIES COMPILE_FLAGS "-Wno-uninitialized")

#
# # Do not clean admin.cc, memcached.cc or other
# generated files in 'make clean' -- they are under
# revision control.
#
set_property(DIRECTORY PROPERTY CLEAN_NO_CUSTOM true)

# Compile src/lua/*.lua files into src/lua/*.lua.c sources
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/src/lua)
set(lua_sources)
lua_source(lua_sources lua/uuid.lua)

add_custom_target(generate_lua_sources
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/src/box
    DEPENDS ${lua_sources})
set_property(DIRECTORY PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${lua_sources})

#
# Used by modules.
#
set (recompiled_sources
     ${CMAKE_SOURCE_DIR}/src/tarantool.cc
     ${CMAKE_SOURCE_DIR}/src/opts.c
     ${CMAKE_SOURCE_DIR}/src/lua/init.cc
     ${CMAKE_SOURCE_DIR}/src/say.cc
     ${CMAKE_SOURCE_DIR}/src/assoc.cc
     ${CMAKE_SOURCE_DIR}/src/replication.cc
     ${CMAKE_SOURCE_DIR}/src/memcached.cc
     ${CMAKE_SOURCE_DIR}/src/fiber.cc)

set (common_sources
     tbuf.c
     palloc.cc
     util.cc
     sio.cc
     evio.cc
     coio.cc
     coeio.cc
     iobuf.cc
     coio_buf.cc
     salloc.cc
     pickle.cc
     coro.cc
     stat.cc
     log_io.cc
     recovery.cc
     admin.cc
     cpu_feature.c
     replica.cc
     iproto.cc
     iproto_port.cc
     session.cc
     object.cc
     exception.cc
     errcode.c
     errinj.cc
     fio.c
     crc32.c
     rope.c
     ipc.cc
     lua/info.cc
     lua/stat.cc
     lua/slab.cc
     lua/lua_ipc.cc
     lua/lua_socket.cc
     lua/session.cc
     lua/cjson.cc
     ${lua_sources}
)

if (ENABLE_TRACE)
    set (common_sources ${common_sources} trace.c)
endif()

set_source_files_compile_flags(${common_sources})
add_library(core STATIC ${common_sources})
add_dependencies(core generate_headers)

set (common_libraries cfg core)

list(APPEND common_libraries
    ${LIBEV_LIBRARIES}
    ${LIBEIO_LIBRARIES}
    ${LIBCORO_LIBRARIES}
    ${LIBGOPT_LIBRARIES}
    ${LIBCJSON_LIBRARIES}
    ${LUAJIT_LIB}
    misc
)

set (THREAD_LIB pthread)
if (ENABLE_STATIC)
    set (THREAD_LIB -Wl,--whole-archive pthread -Wl,--no-whole-archive)
endif()

set (common_libraries ${common_libraries} ${THREAD_LIB})

if (TARGET_OS_LINUX OR TARGET_OS_DEBIAN_FREEBSD)
    set (common_libraries ${common_libraries} dl)
endif()

if (TARGET_OS_FREEBSD AND NOT TARGET_OS_DEBIAN_FREEBSD)
    find_library (INTL intl)
    if (NOT INTL)
        message(FATAL_ERROR "intl library not found")
    else()
        set (common_libraries ${common_libraries} ${INTL})
    endif()
endif()

if (ENABLE_BACKTRACE AND HAVE_BFD)
    set (common_libraries ${common_libraries} bfd)
    if (NOT TARGET_OS_DARWIN)
        set (common_libraries ${common_libraries} iberty)
    endif()
    if (ENABLE_STATIC OR TARGET_OS_FREEBSD)
        include (FindZLIB)
        set (common_libraries ${common_libraries} ${ZLIB_LIBRARIES})
    endif()
    if (TARGET_OS_FREEBSD)
    	if (NOT TARGET_OS_DEBIAN_FREEBSD)
	        set (common_libraries ${common_libraries} iconv)
        endif()
    endif()
endif()

set (common_libraries ${common_libraries} PARENT_SCOPE)

add_subdirectory(lib)
# Save CMAKE_XXX_FLAGS from this directory for config.h (used in --version)
set(TARANTOOL_C_FLAGS ${CMAKE_C_FLAGS} PARENT_SCOPE)
set(TARANTOOL_CXX_FLAGS ${CMAKE_CXX_FLAGS} PARENT_SCOPE)

function(tarantool_module mod)
    set (module_sources ${ARGN})
    set(cfg_c_flags "-Wno-unused -Wno-unused-parameter")
    if (CMAKE_COMPILER_IS_CLANG)
        set(cfg_c_flags "${cfg_c_flags} -Wno-semicolon-before-method-body")
    endif()
    set_source_files_properties(
        ${CMAKE_SOURCE_DIR}/cfg/tarantool_${mod}_cfg.c
        PROPERTIES COMPILE_FLAGS ${cfg_c_flags}
        GENERATED True)
    unset(cfg_c_flags)
    add_executable(tarantool_${mod}
        ${module_sources}
        ${CMAKE_SOURCE_DIR}/cfg/tarantool_${mod}_cfg.c)

    set_source_files_properties(${recompiled_sources}
        PROPERTIES OBJECT_DEPENDS
        ${CMAKE_SOURCE_DIR}/cfg/tarantool_${mod}_cfg.h)

    set_source_files_compile_flags(
        ${recompiled_sources} ${module_sources})

    add_library(lt${mod} STATIC ${recompiled_sources})
    set_target_properties(lt${mod} PROPERTIES COMPILE_FLAGS
        "-DTARANTOOL_CONFIG='<cfg/tarantool_${mod}_cfg.h>'")
    add_dependencies(lt${mod} generate_headers generate_admin_cc generate_memcached_grammar_cc build_bundled_libs)

    target_link_libraries(tarantool_${mod} lt${mod} ${common_libraries} -rdynamic)

    if (ENABLE_STATIC)
        set_target_properties(tarantool_${mod} PROPERTIES
            LINK_SEARCH_END_STATIC ON)
        set (module_link_flags "${module_link_flags} -static")
    endif()

    if (module_link_flags)
        set_target_properties(tarantool_${mod} PROPERTIES
            LINK_FLAGS ${module_link_flags})
    endif()
    install (TARGETS tarantool_${mod} DESTINATION bin)
endfunction()

foreach (module ${TARANTOOL_MODULES})
add_subdirectory(${module})
endforeach()

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/src/CMakeFiles/progress.marks
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/core.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/core.dir/rule
.PHONY : src/CMakeFiles/core.dir/rule

# Convenience name for target.
core: src/CMakeFiles/core.dir/rule
.PHONY : core

# fast build rule for target.
core/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/build
.PHONY : core/fast

# Convenience name for target.
src/CMakeFiles/generate_admin_cc.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/generate_admin_cc.dir/rule
.PHONY : src/CMakeFiles/generate_admin_cc.dir/rule

# Convenience name for target.
generate_admin_cc: src/CMakeFiles/generate_admin_cc.dir/rule
.PHONY : generate_admin_cc

# fast build rule for target.
generate_admin_cc/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/generate_admin_cc.dir/build.make src/CMakeFiles/generate_admin_cc.dir/build
.PHONY : generate_admin_cc/fast

# Convenience name for target.
src/CMakeFiles/generate_lua_sources.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/generate_lua_sources.dir/rule
.PHONY : src/CMakeFiles/generate_lua_sources.dir/rule

# Convenience name for target.
generate_lua_sources: src/CMakeFiles/generate_lua_sources.dir/rule
.PHONY : generate_lua_sources

# fast build rule for target.
generate_lua_sources/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/generate_lua_sources.dir/build.make src/CMakeFiles/generate_lua_sources.dir/build
.PHONY : generate_lua_sources/fast

# Convenience name for target.
src/CMakeFiles/generate_memcached_grammar_cc.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 src/CMakeFiles/generate_memcached_grammar_cc.dir/rule
.PHONY : src/CMakeFiles/generate_memcached_grammar_cc.dir/rule

# Convenience name for target.
generate_memcached_grammar_cc: src/CMakeFiles/generate_memcached_grammar_cc.dir/rule
.PHONY : generate_memcached_grammar_cc

# fast build rule for target.
generate_memcached_grammar_cc/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/generate_memcached_grammar_cc.dir/build.make src/CMakeFiles/generate_memcached_grammar_cc.dir/build
.PHONY : generate_memcached_grammar_cc/fast

admin.o: admin.cc.o
.PHONY : admin.o

# target to build an object file
admin.cc.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/admin.cc.o
.PHONY : admin.cc.o

admin.i: admin.cc.i
.PHONY : admin.i

# target to preprocess a source file
admin.cc.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/admin.cc.i
.PHONY : admin.cc.i

admin.s: admin.cc.s
.PHONY : admin.s

# target to generate assembly for a file
admin.cc.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/admin.cc.s
.PHONY : admin.cc.s

coeio.o: coeio.cc.o
.PHONY : coeio.o

# target to build an object file
coeio.cc.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coeio.cc.o
.PHONY : coeio.cc.o

coeio.i: coeio.cc.i
.PHONY : coeio.i

# target to preprocess a source file
coeio.cc.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coeio.cc.i
.PHONY : coeio.cc.i

coeio.s: coeio.cc.s
.PHONY : coeio.s

# target to generate assembly for a file
coeio.cc.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coeio.cc.s
.PHONY : coeio.cc.s

coio.o: coio.cc.o
.PHONY : coio.o

# target to build an object file
coio.cc.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coio.cc.o
.PHONY : coio.cc.o

coio.i: coio.cc.i
.PHONY : coio.i

# target to preprocess a source file
coio.cc.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coio.cc.i
.PHONY : coio.cc.i

coio.s: coio.cc.s
.PHONY : coio.s

# target to generate assembly for a file
coio.cc.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coio.cc.s
.PHONY : coio.cc.s

coio_buf.o: coio_buf.cc.o
.PHONY : coio_buf.o

# target to build an object file
coio_buf.cc.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coio_buf.cc.o
.PHONY : coio_buf.cc.o

coio_buf.i: coio_buf.cc.i
.PHONY : coio_buf.i

# target to preprocess a source file
coio_buf.cc.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coio_buf.cc.i
.PHONY : coio_buf.cc.i

coio_buf.s: coio_buf.cc.s
.PHONY : coio_buf.s

# target to generate assembly for a file
coio_buf.cc.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coio_buf.cc.s
.PHONY : coio_buf.cc.s

coro.o: coro.cc.o
.PHONY : coro.o

# target to build an object file
coro.cc.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coro.cc.o
.PHONY : coro.cc.o

coro.i: coro.cc.i
.PHONY : coro.i

# target to preprocess a source file
coro.cc.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f src/CMakeFiles/core.dir/build.make src/CMakeFiles/core.dir/coro.cc.i
.PHONY : coro.cc.i

=== debian/changelog ===
tarantool (1.5.1.218.g1a69fd6-1ubuntu1) trusty; urgency=low

  * Switch from binutils-dev build-dep to libiberty-dev instead.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 23 Nov 2013 22:41:14 -0700

tarantool (1.5.1.218.g1a69fd6-1build1) trusty; urgency=low

  * No-change rebuild against new binutils-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 23 Nov 2013 22:21:34 -0700

tarantool (1.5.1.218.g1a69fd6-1) unstable; urgency=low

  * New Debian snapshot
   - patch for OpenVZ (disable MAP_SHARED mmap flag with OpenVZ).
   - fix socket:readline(..., timeout) bug.
   - suggests -dbg version of package.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 19 Nov 2013 16:17:23 +0400

tarantool (1.5.1.150.g029f82f-1) unstable; urgency=low

  * New Debian snapshot (fix memory corruption).

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 25 Oct 2013 15:26:36 +0400

tarantool (1.5.1.148.g6dddbc7-1) unstable; urgency=low

  * New Debian snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 23 Oct 2013 13:46:46 +0400

=== debian/control ===
Source: tarantool
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends: cdbs, debhelper (>= 8),
 cmake,
 libreadline-dev,
 python-yaml,
 python-daemon,
 python-pexpect,
 libncurses5-dev,
 libiberty-dev,
 libmysqlclient-dev,
 libpq-dev
Section: database
Standards-Version: 3.9.3
Homepage: http://tarantool.org/
VCS-Browser: https://github.com/tarantool/tarantool
VCS-Git: git://github.com/tarantool/tarantool.git

Package: tarantool-common
Architecture: all
Priority: optional
Depends: ${misc:Depends}, adduser
Description: Tarantool in-memory database - common files
 Tarantool is an in-memory database and Lua application server.
 This package provides scripts to work with tarantool configuration
 and log files.

Package: tarantool
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, tarantool-common
Suggests: tarantool-dbg, tarantool-client, libdr-tarantool-perl
Description: In-memory database with Lua application server
 Tarantool is an in-memory database and Lua application server.
 Its key properties include:
 .
  * flexible data model
  * multiple index types: HASH, TREE, BITSET
  * optional persistence and strong data durability
  * log streaming replication
  * Lua functions, procedures, triggers, with rich access to database API,
    JSON support, inter-procedure and network communication libraries
  * a command line client supporting simple SQL and a native Lua console
 .
 This package provides Tarantool server.

Package: tarantool-plugins
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
 tarantool (= ${binary:Version}),
 tarantool-postgresql-plugin,
 tarantool-mysql-plugin
Suggests: tarantool-dbg, libdr-tarantool-perl
Description: Tarantool in-memory database - all plug-ins bundle
 Tarantool is an in-memory database and Lua application server.
 This package provides (or depends on) all Tarantool plug-ins.

Package: tarantool-postgresql-plugin
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
 tarantool (= ${binary:Version})
Suggests: tarantool-dbg, libdr-tarantool-perl
Description: Tarantool in-memory database - PostgreSQL connector
 Tarantool is an in-memory database and Lua application server.
 This package contains a connector to PostgreSQL database for
 Tarantool Lua stored procedures.

Package: tarantool-mysql-plugin
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
 tarantool (= ${binary:Version})
Suggests: tarantool-dbg, libdr-tarantool-perl
Description: Tarantool in-memory database - MySQL connector
 Tarantool is an in-memory database and Lua application server.
 This package contains a connector to MySQL database for Tarantool
 Lua stored procedures.

Package: tarantool-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
     tarantool (= ${binary:Version})
Description: Tarantool in-memory database - debugging symbols
 Tarantool is an in-memory database and Lua application server.
 This package provides debugging symbols for Tarantool server.

Package: tarantool-client
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tarantool-client-dbg
Description: Tarantool in-memory database - command line client
 Tarantool is an in-memory database and Lua application server.
 This package provides a command line client for Tarantool
 server with support of readline, command history, reader of 
 server binary logs and snapshot files.

Package: tarantool-client-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
     tarantool-client (= ${binary:Version})
Description: Tarantool in-memory database - client debugging symbols
 Tarantool is an in-memory database and Lua application server.
 This package provides debugging symbols for the command line
 client.

Package: libtarantool1
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tarantool in-memory database - C client library
 Tarantool is an in-memory database and Lua application server.
 This package provides C-connector library for Tarantool.

Package: libtarantool1-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
     libtarantool1 (= ${binary:Version})
Description: Tarantool in-memory database - C client library debugging symbols
 Tarantool is an in-memory database and Lua application server.
 This package provides debugging symbols for libtarantool1.

Package: libtarantool-dev
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libtarantool1 (= ${binary:Version}),
 libtarantoolnet1 (= ${binary:Version}),
 libtarantoolsql1 (= ${binary:Version}),
 libtarantoolrpl1 (= ${binary:Version})
Description: Tarantool in-memory database - development headers
 Tarantool is an in-memory database and Lua application server.
 This package provides headers for libtarantool* libraries.

Package: libtarantoolnet1
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tarantool in-memory database - networking client 
 Tarantool is an in-memory database and Lua application server.
 This package provides C-connector library for Tarantool (network).

Package: libtarantoolnet1-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
     libtarantoolnet1 (= ${binary:Version})
Description: Tarantool in-memory database - client library - debug symbols
 Tarantool is an in-memory database and Lua application server.
 This package provides debugging symbols for libtarantoolnet1.

Package: libtarantoolsql1
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tarantool in-memory database - SQL library
 This package provides SQL-parser library for tarantool client library.

Package: libtarantoolsql1-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
     libtarantoolsql1 (= ${binary:Version})
Description: Tarantool in-memory database - SQL library - debugging symbols
 Tarantool is an in-memory database and Lua application server.
 This package provides debug symbols for libtarantoolsql1.

Package: libtarantoolrpl1
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tarantool in-memory database - replication client
 Tarantool is an in-memory database and Lua application server.
 This package provides C-connector library for tarantool
 (xlog and replication support).

Package: libtarantoolrpl1-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
     libtarantoolsql1 (= ${binary:Version})
Description: Tarantool in-memory database - client library debugging symbols
 Tarantool is an in-memory database and Lua application server.
 This package provides debug symbols for libtarantoolrpl1.

=== debian/rules ===
#!/usr/bin/make -f

#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

VERSION  := $(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}')
UVERSION := $(shell echo $(VERSION)|sed 's/-[[:digit:]]\+$$//')

DEB_CMAKE_EXTRA_FLAGS := \
	-DCMAKE_BUILD_TYPE=RelWithDebugInfo \
	-DENABLE_CLIENT=true

DEB_DH_INSTALLINIT_ARGS := --name=tarantool

DEB_CMAKE_INSTALL_PREFIX := /usr
DEB_CMAKE_NORMAL_ARGS := -DCMAKE_INSTALL_PREFIX="$(DEB_CMAKE_INSTALL_PREFIX)" \
    -DCMAKE_SKIP_RPATH=ON \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -DCMAKE_SYSCONF_DIR=/etc/tarantool \
    -DCMAKE_LOCALSTATE_DIR=/var
#     -DCMAKE_C_FLAGS="$(CFLAGS)" \
#     -DCMAKE_LD_FLAGS="$(LDFLAGS)" \
#     -DENABLE_STATIC=ON
#     -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
#     -DCMAKE_CPP_FLAGS="$(CPPFLAGS)" \
#    -DCMAKE_C_COMPILER:FILEPATH="$(CC)" \
#    -DCMAKE_CXX_COMPILER:FILEPATH="$(CXX)" \

DEB_SHLIBDEPS_INCLUDE := /usr/lib/tarantool/plugins
DEB_INSTALL_DOCS_ALL := -XTODO -XAUTHORS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_BUILDDIR := build-area

tarball: clean
	git describe > VERSION
	cd .. && tar --exclude=.git --exclude=debian 		\
		--exclude=rfc4627.txt				\
		--exclude=doc/www-data/ycsb			\
		-czf tarantool_$(UVERSION).orig.tar.gz tarantool-$(UVERSION)

clean::
	find -type f -name \*.pyc -delete
	find -type d -name CMakeFiles -exec rm -fr '{}' +
	rm -f CMakeCache.txt
	rm -f CPackConfig.cmake
	rm -f CPackSourceConfig.cmake
	rm -f include/tarantool/config.h
	rm -f doc/tnt.ent
	rm -f www-data.in/download

install/tarantool-dbg::
	rm -fr debian/tarantool-dbg/usr/share/doc/tarantool-dbg

install/tarantool::
#         make -C build-area test-force || /bin/true


install/tarantool-common::
	pod2man -c 'tarantool instances control' \
	    debian/tarantool_instance.pod > build-area/tarantool_instance.1
	pod2man -c 'tarantool log rotation' \
	    debian/scripts/tarantool_logrotate \
	    	 > build-area/tarantool_logrotate.1
	pod2man -c 'snapshot rotate' \
	    debian/scripts/tarantool_snapshot_rotate \
	    	> build-area/tarantool_snapshot_rotate.1
	install -m0755 extra/logger.pl \
	    debian/tarantool-common/usr/lib/tarantool/logger
